$(function () {
    var DataExperience = [{
            name: '经验',
            colorByPoint: true,
            data: [{
                name: '不限',
                color:'#147cde',
                y: 56.33
            }, {
                name: '应届毕业生',
                color:'#0870c9',
                y: 24.03
            }, {
                name: '一年以下',
                color:'#16b6cc',
                y: 10.38
            }, {
                name: '1-3年',
                color:'#0ca6f0',
                y: 2.77
            }, {
                name: '3-5年',
                color:'#05c1f1',
                y: 0.71
            }, {
                name: '5-10年',
                color:'#4c98c2',
                y: 0.2
            }, {
                name: '10年以上',
                color:'#a7dbff',
                y: 2.2
            }]
        }];
    var DataSalary = [{
            name: '工资',
            colorByPoint: true,
            data: [{
                name: '0-2K',
                color:'#f16822',
                y: 56.33
            }, {
                name: '2-5K',
                color:'#f68121',
                y: 24.03
            }, {
                name: '5-8K',
                color:'#f6981a',
                y: 10.38
            }, {
                name: '8-12k',
                color:'#f8ae1b',
                y: 4.77
            }, {
                name: '12-16k',
                color:'#f7dd17',
                y: 0.91
            }, {
                name: '16-25k',
                color:'#f7dd17',
                y: 0.2
            }, {
                name: '>25k',
                color:'#f55727',
                y: 0.2
            }]
        }];
    var DataEducation = [{
            name: '学历',
            colorByPoint: true,
            data: [{
                name: '不限',
                color:'#93d640',
                y: 56.33
            }, {
                name: '中专',
                color:'#9dce41',
                y: 24.03
            }, {
                name: '高中',
                color:'#bae25e',
                y: 10.38
            }, {
                name: '大专',
                color:'#9ed544',
                y: 4.77
            }, {
                name: '本科',
                color:'#c3f079',
                y: 0.91
            }, {
                name: '硕士',
                color:'#aee15e',
                y: 0.2
            }, {
                name: '博士',
                color:'#75bc32',
                y: 0.2
            }, {
                name: '其他',
                color:'#89c53b',
                y: 0.2
            }]
        }]
    Highcharts.chart('job_experience', {
        chart: {
            type: 'pie'
        },
        title: {
            text: ''
        },
        plotOptions: {
            series: {
                dataLabels: {
                    enabled: false,
                    format: '{point.name}: {point.y:.1f}%'
                }
            }
        },
        tooltip: {
            headerFormat: '<span style="font-size:11px">{series.name}</span><br>',
            pointFormat: '<span>{point.name}</span>: <b>{point.y:.2f}%</b><br/>'
        },
        series: DataExperience
    });
    Highcharts.chart('job_salary', {
        chart: {
            type: 'pie'
        },
        title: {
            text: ''
        },
        plotOptions: {
            series: {
                dataLabels: {
                    enabled: false,
                    format: '{point.name}: {point.y:.1f}%'
                }
            }
        },
        tooltip: {
            headerFormat: '<span style="font-size:11px">{series.name}</span><br>',
            pointFormat: '<span>{point.name}</span>: <b>{point.y:.2f}%</b><br/>'
        },
        series: DataSalary
    });
    Highcharts.chart('job_education', {
        chart: {
            type: 'pie'
        },
        title: {
            text: ''
        },
        plotOptions: {
            series: {
                dataLabels: {
                    enabled: false,
                    format: '{point.name}: {point.y:.1f}%'
                }
            }
        },
        tooltip: {
            headerFormat: '<span style="font-size:11px">{series.name}</span><br>',
            pointFormat: '<span>{point.name}</span>: <b>{point.y:.2f}%</b><br/>'
        },
        series: DataEducation
    });
    $('#prospect_analysis').highcharts({  
         chart: {  
             type: 'line'  
         },  
         title: {  
             text: '就业前景分析'  
         },  
         xAxis: {  
             categories: [  
                 '2008',  
                 '2010',  
                 '2012',  
                 '2014',  
                 '2016'
             ]  
         },  
         yAxis: {  
             min: 1,  
             title: {  
                 text: '前景'  
             }  
         },  
         tooltip: {  
             headerFormat: '',  
             pointFormat: '<tr><td style="color:{series.color};padding:0"></td>' +  
                 '<td style="padding:0"><b>{point.y:.1f}</b></td></tr>',  
             footerFormat: '</table>',  
             shared: true,  
             useHTML: true  
         },  
         plotOptions: {  
             column: {  
                 pointPadding: 0.2,  
                 borderWidth: 0  
             }  
         },  
         series: [{  
             name: '张三',  
             data: [100, 150, 45, 179,60]  
   
         }]  
    });
    $('#wage_change').highcharts({  
         chart: {  
             type: 'line'  
         },  
         title: {  
             text: '随工作经验工资变化趋势'  
         }, 
         xAxis: {  
             categories: [  
                 '2008',  
                 '2010',  
                 '2012',  
                 '2014',  
                 '2016'
             ]  
         },  
         yAxis: {  
             min: 0,  
             title: {  
                 text: '工资 (￥)'  
             }  
         },  
         tooltip: {  
             headerFormat: '',  
             pointFormat: '<tr><td style="color:{series.color};padding:0"></td>' +  
                 '<td style="padding:0"><b>{point.y:.1f}</b></td></tr>',  
             footerFormat: '</table>',  
             shared: true,  
             useHTML: true  
         },  
         plotOptions: {  
             column: {  
                 pointPadding: 0.2,  
                 borderWidth: 0  
             }  
         },  
         series: [{  
             name: '张三',  
             data: [4995, 7169, 1064, 7292, 2440]  
   
         }]  
    }); 

    var experienc = '';
    $.each(DataExperience[0].data,function(index,item){
        console.log(item.name)
        experienc += '<li class="left"><i class="color" style="background:'+item.color+'"></i><i class="text">'+item.name+'</i></li>'
    }) 
    $('#list_experienc').html(experienc);

    var salary = '';
    $.each(DataSalary[0].data,function(index,item){
        console.log(item.name)
        salary += '<li class="left"><i class="color" style="background:'+item.color+'"></i><i class="text">'+item.name+'</i></li>'
    }) 
    $('#list_salary').html(salary);

    var education = '';
    $.each(DataEducation[0].data,function(index,item){
        console.log(item.name)
        education += '<li class="left"><i class="color" style="background:'+item.color+'"></i><i class="text">'+item.name+'</i></li>'
    }) 
    $('#list_education').html(education);
});